Class::MOP::Method::Meta(3)

NAME
Class::MOP::Method::Meta - Method Meta Object for "meta" methods

VERSION
version 2.0602

DESCRIPTION
This is a Class::MOP::Method subclass which represents "meta" methods installed into classes by Class::MOP.

METHODS

Class::MOP::Method::Wrapped->wrap($metamethod, %options)
    This is the constructor. It accepts a Class::MOP::Method object and a hash of options. The options accepted are identical to the ones accepted by Class::MOP::Method, except that "body" cannot be passed (it will be generated automatically).

AUTHOR
Moose is maintained by the Moose Cabal, along with the help of many contributors. See "CABAL" in Moose and "CONTRIBUTORS" in Moose for details.

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.